LibreOffice: PDFDialog Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Included Services | List of all members
PDFDialog Service Reference

This service is for a PDFDialog. More...

`import"PDFDialog.idl";`

Inheritance diagram for PDFDialog:

## Included Services
service | com::sun::star::ui::dialogs::FilterOptionsDialog

## Additional Inherited Members
Exported Interfaces inherited from FilterOptionsDialog
interface | com::sun::star::beans::XPropertyAccess
| this interface is used to set the property values of the com::sun::star::document::MediaDescriptor before executing the dialog and to retrieve the changed com::sun::star::document::MediaDescriptor More...
interface | ::com::sun::star::ui::dialogs::XExecutableDialog
| this interface executes a dialog that displays the options for a filter. More...
Public Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog. More...
short | execute ()
| Executes (shows) the dialog. More...

## Detailed Description

This service is for a PDFDialog.

## Exported Interfaces

service com::sun::star::ui::dialogs::FilterOptionsDialog

The documentation for this service was generated from the following file:

- com/sun/star/document/PDFDialog.idl